Bug 1199399

Summary: KDE 4 apps should use kde-style-breeze by default
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: kde-settingsAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: dvratil, jgrulich, jreznik, kevin, ltinkl, mbriza, rdieter, rnovacek, smparrish, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: kde-settings-22-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-05-16 17:42:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1135100    

Description Jaroslav Reznik 2015-03-06 06:51:56 UTC
Description of problem: kde-style-breeze should be used as default style for KDE 4 applications on the KDE live image. It's available on the image and it's confirmed to work with --style breeze command line option.

Version-Release number of selected component (if applicable): Fedora 22 Alpha RC3

Steps to Reproduce:
1. grab Fedora 22 Alpha RC3 live image
2. run konqueror (or any other KDE 4 app)

Actual results: Konqueror uses old, non-flat style

Expected results: Konqueror should use Breeze style to match Plasma 5/KF 5 based environment.

Comment 1 Rex Dieter 2015-03-06 11:59:04 UTC
Was added recently already:

%changelog
* Thu Mar 05 2015 Rex Dieter <rdieter@fedoraproject.org> 22-2.1
- Conflicts: kf5-kdelibs4support < 5.7.0-3 (#1199108)

* Tue Mar 03 2015 Rex Dieter <rdieter@fedoraproject.org> - 22-2
- kdeburc: disable debug output
- kdeglobals: use Sans/Monospace fonts, breeze widgets/icons
- default gtk config to adwaita (replaces oxygen-gtk)



But not released yet, waiting on work to integrate new f22-kde-theme

Comment 2 Jaroslav Reznik 2015-03-24 14:37:09 UTC
Tested on top of Beta TC4 and KDE 4 apps now use Breeze theme. Thanks.

Comment 3 Jaroslav Reznik 2015-04-15 11:52:32 UTC
I'm not sure if this happened on TC4 but on RC2, when Live is booted, non Breeze theme for KDE 4 apps is used. When you logout/login again, Breeze theme is properly used by KDE 4 apps.

Comment 4 Rex Dieter 2015-04-15 13:14:45 UTC
I cannot explain why/how that happens, 

/usr/share/kde-settings/kde-profile/default/share/config/kdeglobals
used by kde4 contains:

[General]
widgetStyle=breeze